WP1SetTabsGroup Class Reference documentation

WP1SetTabsGroup Class Reference

`#include <WP1SetTabsGroup.h>`

Inheritance diagram for WP1SetTabsGroup:

## Public Member Functions
| WP1SetTabsGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1SetTabsGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1VariableLengthGroup
| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes
std::vector< WPXTabStop > | m_tabStops

## Additional Inherited Members
Static Public Member Functions inherited from WP1VariableLengthGroup
static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const
unsigned | getSize () const

## Constructor & Destructor Documentation

## ◆ WP1SetTabsGroup()

WP1SetTabsGroup::WP1SetTabsGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ◆ ~WP1SetTabsGroup()

WP1SetTabsGroup::~WP1SetTabsGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP1SetTabsGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Implements WP1VariableLengthGroup.

## ◆ parse()

void WP1SetTabsGroup::parse | ( | WP1Listener * | listener | ) |
| overridevirtual

Implements WP1Part.

## Member Data Documentation

## ◆ m_tabStops

std::vector<WPXTabStop> WP1SetTabsGroup::m_tabStops
| private

Referenced by _readContents(), parse(), and WP1SetTabsGroup().

The documentation for this class was generated from the following files:

- WP1SetTabsGroup.h
- WP1SetTabsGroup.cpp